Bug 233613 - graphics/panoglview: fix build with GCC-based architectures
Summary: graphics/panoglview: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-28 18:01 UTC by Piotr Kubaj
Modified: 2018-12-02 12:47 UTC (History)
3 users (show)

See Also:
ii: maintainer-feedback+


Attachments
patch (343 bytes, patch)
2018-11-28 18:01 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2018-11-28 18:01:47 UTC
Created attachment 199645 [details]
patch

USES=compiler:c++11-lang is required to build this port on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Iouri V. Ivliev 2018-11-29 08:42:32 UTC
Piotr, thanks for patch. Approved.
Comment 2 Iouri V. Ivliev 2018-11-29 08:46:32 UTC
BTW, do you really need WX 2.8? May be better to change it to WX 3.0?
Comment 3 Piotr Kubaj 2018-11-30 12:41:49 UTC
(In reply to Iouri V. Ivliev from comment #2)
You're the maintainer, you should know better.

But yes, if you can use newer versions of dependencies, IMO you shou do it.
Comment 4 commit-hook freebsd_committer 2018-12-02 12:47:42 UTC
A commit references this bug:

Author: linimon
Date: Sun Dec  2 12:47:38 UTC 2018
New revision: 486411
URL: https://svnweb.freebsd.org/changeset/ports/486411

Log:
  USES=compiler:c++11-lang is required to build this port on GCC-based
  architectures.

  PR:		233613
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/graphics/panoglview/Makefile